Index: src/sas/sasgui/perspectives/calculator/calculator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/calculator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/calculator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -93,5 +93,5 @@
         Edit meta data
         """
-        if self.data_edit_frame == None:
+        if self.data_edit_frame is None:
             self.data_edit_frame = DataEditorWindow(parent=self.parent,
                                                     manager=self, data=[],
@@ -106,5 +106,5 @@
         Data operation
         """
-        if self.data_operator_frame == None:
+        if self.data_operator_frame is None:
             # Use one frame all the time
             self.data_operator_frame = DataOperatorWindow(parent=self.parent,
@@ -121,5 +121,5 @@
         Compute the Kiessig thickness
         """
-        if self.kiessig_frame == None:
+        if self.kiessig_frame is None:
             frame = KiessigWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -133,5 +133,5 @@
         Compute the scattering length density of molecula
         """
-        if self.sld_frame == None:
+        if self.sld_frame is None:
             frame = SldWindow(parent=self.parent,
                                   base=self.parent, manager=self)
@@ -146,5 +146,5 @@
         Compute the mass density or molar voulme
         """
-        if self.cal_md_frame == None:
+        if self.cal_md_frame is None:
             frame = DensityWindow(parent=self.parent,
                                   base=self.parent, manager=self)
@@ -159,5 +159,5 @@
         Compute the slit size a given data
         """
-        if self.cal_slit_frame == None:
+        if self.cal_slit_frame is None:
             frame = SlitLengthCalculatorWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -171,5 +171,5 @@
         Estimate the instrumental resolution
         """
-        if self.cal_res_frame == None:
+        if self.cal_res_frame is None:
             frame = ResolutionWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -183,5 +183,5 @@
         On Generic model menu event
         """
-        if self.gen_frame == None:
+        if self.gen_frame is None:
             frame = SasGenWindow(parent=self.parent, manager=self)
             self.put_icon(frame)
@@ -214,5 +214,5 @@
         :param filename: file name to open in editor
         """
-        if self.py_frame == None:
+        if self.py_frame is None:
             frame = PyConsole(parent=self.parent, base=self,
                               filename=filename)
Index: src/sas/sasgui/perspectives/calculator/data_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/data_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
@@ -419,5 +419,5 @@
         """
         path = None
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
Index: src/sas/sasgui/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -182,5 +182,5 @@
         On data name typing
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -198,5 +198,5 @@
         self.send_warnings('')
         msg = ''
-        if name == None:
+        if name is None:
             text = self.data_namectr.GetValue().strip()
         else:
@@ -205,5 +205,5 @@
         name_list = []
         for state in state_list:
-            if state.data == None:
+            if state.data is None:
                 theory_list = state.get_theory()
                 theory, _ = theory_list.values()[0]
@@ -264,5 +264,5 @@
         self.put_text_pic(self.data2_pic, content=str(val))
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -278,5 +278,5 @@
         pos = item.GetCurrentSelection()
         data = item.GetClientData(pos)
-        if data == None:
+        if data is None:
             content = "?"
             self.put_text_pic(self.data1_pic, content)
@@ -284,5 +284,5 @@
             self.data1_pic.add_image(data)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -297,5 +297,5 @@
         self.put_text_pic(self.operator_pic, content=text)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -313,5 +313,5 @@
         content = "?"
         if not (self.numberctr.IsShown() and self.numberctr.IsEnabled()):
-            if data == None:
+            if data is None:
                 content = "?"
                 self.put_text_pic(self.data2_pic, content)
@@ -329,10 +329,10 @@
                 data = None
             item.SetClientData(pos, data)
-            if data != None:
+            if data is not None:
                 self.check_data_inputs()
 
             self.put_text_pic(self.data2_pic, content)
 
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -355,5 +355,5 @@
         pos1 = self.data1_cbox.GetCurrentSelection()
         data1 = self.data1_cbox.GetClientData(pos1)
-        if data1 == None:
+        if data1 is None:
             self.output = None
             return flag
@@ -361,5 +361,5 @@
         data2 = self.data2_cbox.GetClientData(pos2)
 
-        if data2 == None:
+        if data2 is None:
             self.output = None
             return flag
@@ -422,5 +422,5 @@
         """
         out = self.out_pic
-        if output == None:
+        if output is None:
             content = "?"
             self.put_text_pic(out, content)
@@ -472,5 +472,5 @@
         On Focus at this window
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         self._data = self.get_datalist()
@@ -534,6 +534,6 @@
         ids = self._data.keys()
         for id in ids:
-            if id != None:
-                if self._data[id].data != None:
+            if id is not None:
+                if self._data[id].data is not None:
                     dnames.append(self._data[id].data.name)
                 else:
@@ -546,5 +546,5 @@
             for datastate in val_list:
                 data = datastate.data
-                if data != None:
+                if data is not None:
                     name = data.name
                     pos1 = self.data1_cbox.Append(str(name))
@@ -577,5 +577,5 @@
         """
         data_manager = self.parent.parent.get_data_manager()
-        if data_manager != None:
+        if data_manager is not None:
             return  data_manager.get_all_data()
         else:
@@ -592,5 +592,5 @@
         name_list = []
         for state in state_list:
-            if state.data == None:
+            if state.data is None:
                 theory_list = state.get_theory()
                 theory, _ = theory_list.values()[0]
@@ -609,5 +609,5 @@
             wx.MessageBox(msg, 'Error')
             return
-        if self.output == None:
+        if self.output is None:
             msg = "No Output Data has been generated...   "
             wx.MessageBox(msg, 'Error')
@@ -983,5 +983,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.data_operator_frame = None
         self.panel.disconnect_panels()
Index: src/sas/sasgui/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -239,5 +239,5 @@
         update units and output combobox
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -257,5 +257,5 @@
         update units and input combobox
         """
-        if event == None:
+        if event is None:
             return
         event.Skip()
@@ -438,5 +438,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_md_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -61,5 +61,5 @@
     Add icon in the frame
     """
-    if parent != None:
+    if parent is not None:
         if hasattr(frame, "IsIconized"):
             if not frame.IsIconized():
@@ -74,10 +74,10 @@
     Set_error dialog
     """
-    if item != None:
+    if item is not None:
         item.SetBackgroundColour("pink")
         item.Refresh()
     if show_msg:
         msg = "Error: wrong (or out of range) value entered."
-        if panel.parent.parent != None:
+        if panel.parent.parent is not None:
             wx.PostEvent(panel.parent.parent,
                      StatusEvent(status=msg, info='Error'))
@@ -425,5 +425,5 @@
         """
         unit = 'sec'
-        if self.time_text != None:
+        if self.time_text is not None:
             self.time_text.SetForegroundColour('black')
             etime = self.estimate_ctime()
@@ -487,5 +487,5 @@
         path = None
         filename = ''
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
@@ -633,5 +633,5 @@
         self.model.set_sld_data(self.sld_data)
 
-        self.draw_button.Enable(self.sld_data != None)
+        self.draw_button.Enable(self.sld_data is not None)
         wx.CallAfter(self.parent.set_sld_data, self.sld_data)
         self._update_model_params()
@@ -855,5 +855,5 @@
         """
         flag = self.parent.check_omfpanel_inputs()
-        if not flag and self.parent.parent != None:
+        if not flag and self.parent.parent is not None:
             infor = 'Error'
             msg = 'Error: Wrong inputs in the SLD info panel.'
@@ -864,6 +864,6 @@
             return
         self.sld_data = self.parent.get_sld_from_omf()
-        if self.sld_data == None:
-            if self.parent.parent != None:
+        if self.sld_data is None:
+            if self.parent.parent is not None:
                 infor = 'Error'
                 msg = 'Error: No data has been selected.'
@@ -880,5 +880,5 @@
             self.model.set_sld_data(self.sld_data)
             self.set_input_params()
-            if self.is_avg or self.is_avg == None:
+            if self.is_avg or self.is_avg is None:
                 self._create_default_1d_data()
                 i_out = np.zeros(len(self.data.y))
@@ -971,5 +971,5 @@
         self.bt_compute.SetLabel(label)
         self.bt_compute.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                              StatusEvent(status=msg, type=type))
@@ -979,5 +979,5 @@
         Update the progress bar
         """
-        if self.parent.parent == None:
+        if self.parent.parent is None:
             return
         type = "progress"
@@ -995,5 +995,5 @@
         for ind in range(len(input[0])):
             if self.is_avg:
-                if ind % 1 == 0 and update != None:
+                if ind % 1 == 0 and update is not None:
                     update()
                     time.sleep(0.1)
@@ -1002,5 +1002,5 @@
                 out = np.append(out, outi)
             else:
-                if ind % 50 == 0  and update != None:
+                if ind % 50 == 0  and update is not None:
                     update()
                     time.sleep(0.001)
@@ -1010,5 +1010,5 @@
                 out = np.append(out, outi)
         #print time.time() - s
-        if self.is_avg or self.is_avg == None:
+        if self.is_avg or self.is_avg is None:
             self._draw1D(out)
         else:
@@ -1151,5 +1151,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=new_plot.id,
                                            theory=new_plot,
@@ -1210,5 +1210,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=data.id,
                                            theory=new_plot,
@@ -1287,17 +1287,17 @@
             key_low = key.lower()
             if key_low.count('mx') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_mx
                 mx = sld_sets[key]
             elif key_low.count('my') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_my
                 my = sld_sets[key]
             elif key_low.count('mz') > 0:
-                if sld_sets[key] == None:
+                if sld_sets[key] is None:
                     sld_sets[key] = self.sld_data.sld_mz
                 mz = sld_sets[key]
             else:
-                if sld_sets[key] != None:
+                if sld_sets[key] is not None:
                     self.sld_data.set_sldn(sld_sets[key])
         self.sld_data.set_sldms(mx, my, mz)
@@ -1347,5 +1347,5 @@
             infor = 'Error'
             #logger.error(msg)
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1368,5 +1368,5 @@
         """
 
-        if omfdata == None:
+        if omfdata is None:
             self._set_none_text()
             return
@@ -1437,5 +1437,5 @@
         self.slds = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         sld_key_list = self._get_slds_key_list(omfdata)
@@ -1477,5 +1477,5 @@
         self.nodes = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         key_list = self._get_nodes_key_list(omfdata)
@@ -1512,5 +1512,5 @@
         self.stepsize = []
         omfdata = self.sld_data
-        if omfdata == None:
+        if omfdata is None:
             raise
         key_list = self._get_step_key_list(omfdata)
@@ -1631,5 +1631,5 @@
         Set sld textctrls
         """
-        if sld_data == None:
+        if sld_data is None:
             for ctr_list in self.slds:
                 ctr_list[1].Enable(False)
@@ -1690,5 +1690,5 @@
             data = self.parent.get_sld_data()
             fName = os.path.splitext(path)[0] + '.' + extension.split('.')[-1]
-            if data != None:
+            if data is not None:
                 try:
                     reader.write(fName, data)
@@ -1699,5 +1699,5 @@
                 infor = 'Error'
                 #logger.error(msg)
-                if self.parent.parent != None:
+                if self.parent.parent is not None:
                     # inform msg to wx
                     wx.PostEvent(self.parent.parent,
@@ -1708,5 +1708,5 @@
             msg = "Error occurred while saving. "
             infor = 'Error'
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1718,5 +1718,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1739,5 +1739,5 @@
             if npts > 0:
                 nop = self.set_npts_from_slddata()
-                if nop == None:
+                if nop is None:
                     nop = npts
                 self.display_npts(nop)
@@ -1758,5 +1758,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1911,8 +1911,8 @@
         Set omfdata
         """
-        if data == None:
+        if data is None:
             return
         self.sld_data = data
-        enable = (not data == None)
+        enable = (data is not None)
         self._set_omfpanel_sld_data(self.sld_data)
         self.omfpanel.bt_save.Enable(enable)
@@ -1974,5 +1974,5 @@
         Send full draw to gui frame
         """
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.set_schedule_full_draw(panel, func)
 
@@ -2050,5 +2050,5 @@
         Close
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.gen_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -70,5 +70,5 @@
                 plot_frame.SetTitle('Picture -- %s --' % basename)
                 plot_frame.Show(True)
-                if parent != None:
+                if parent is not None:
                     parent.put_icon(plot_frame)
             except:
@@ -85,5 +85,5 @@
         """
         path = None
-        if location == None:
+        if location is None:
             location = os.getcwd()
         dlg = wx.FileDialog(self.parent, "Image Viewer: Choose a image file",
@@ -403,5 +403,5 @@
         output.is_data = True
         output = reader2D_converter(output)
-        if self.base != None:
+        if self.base is not None:
             data = self.base.create_gui_data(output, self.title)
             self.base.add_data({data.id:data})
Index: src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -190,5 +190,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         dq = self.dq_name_tcl.GetValue()
@@ -237,5 +237,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.kiessig_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -387,5 +387,5 @@
         self._msg_box.SetLabel(msg)
         self._msg_box.SetForegroundColour(color)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg,
@@ -478,5 +478,5 @@
         """
         # For Mac
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -979,5 +979,5 @@
 
         # Prepare the messagebox
-        if self.base != None and not msg:
+        if self.base is not None and not msg:
             self.base.update_custom_combo()
             # Passed exception in import test as it will fail for sasmodels.sasview_model class
@@ -1002,5 +1002,5 @@
         self._msg_box.SetForegroundColour(color)
         # Send msg to the top window
-        if self.base != None:
+        if self.base is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.base.parent,
@@ -1190,5 +1190,5 @@
         """
         self.Show(False)
-        #if self.parent != None:
+        #if self.parent is not None:
         #    self.parent.new_model_frame = None
         #self.Destroy()
@@ -1388,5 +1388,5 @@
 
     def _get_upper_name(self, name=None):
-        if name == None:
+        if name is None:
             return ""
         upper_name = ""
Index: src/sas/sasgui/perspectives/calculator/pyconsole.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision ddbac6633a1e7ec42b99bb39f46b9889ccf26084)
+++ src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -118,7 +118,7 @@
         self.panel = panel
         self._add_menu()
-        if filename != None:
+        if filename is not None:
             dataDir = os.path.dirname(filename)
-        elif self.parent != None:
+        elif self.parent is not None:
             dataDir = self.parent._default_save_location
         else:
@@ -128,5 +128,5 @@
 
         # See if there is a corresponding C file
-        if filename != None:
+        if filename is not None:
             c_filename = os.path.splitext(filename)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -244,5 +244,5 @@
 
         # See if there is a corresponding C file
-        if result.path != None:
+        if result.path is not None:
             c_filename = os.path.splitext(result.path)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -303,5 +303,5 @@
 
         # Update plugin model list in fitpage combobox
-        if success and self._manager != None and self.panel != None:
+        if success and self._manager is not None and self.panel is not None:
             self._manager.set_edit_menu_helper(self.parent)
             wx.CallAfter(self._manager.update_custom_combo)
@@ -337,5 +337,5 @@
         Close event
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.py_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -656,5 +656,5 @@
             event.Skip()
         # Clear the plot
-        if self.image != None:
+        if self.image is not None:
             self.image.clf()
             # reset image
@@ -674,5 +674,5 @@
         """
         # Skip event for next event
-        if event != None:
+        if event is not None:
             event.Skip()
             msg = "Please Check your input values "
@@ -708,5 +708,5 @@
             # Validate the wave inputs
             wave_input = self._validate_q_input(wavelength, wavelength_spread)
-            if wave_input != None:
+            if wave_input is not None:
                 wavelength, wavelength_spread = wave_input
 
@@ -757,5 +757,5 @@
         # Validate the q inputs
         q_input = self._validate_q_input(self.qx, self.qy)
-        if q_input != None:
+        if q_input is not None:
             self.qx, self.qy = q_input
 
@@ -769,5 +769,5 @@
 
         # Compute the resolution
-        if self.image != None:
+        if self.image is not None:
             #_pylab_helpers.Gcf.set_active(self.fm)
             _pylab_helpers.Gcf.figs = {}
@@ -839,5 +839,5 @@
         : Param image: pylab object
         """
-        if image == None:
+        if image is None:
             return
         if color == 'g':
@@ -973,5 +973,5 @@
         if len(qx) != len(qy):
             return None
-        if qx == None or qy == None:
+        if qx is None or qy is None:
             return None
         return qx, qy
@@ -982,5 +982,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         # init resolution_calculator
@@ -1148,5 +1148,5 @@
         Set the detector coordinate for sigmas to x-y coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in Cartesian
@@ -1160,5 +1160,5 @@
         Set the detector coordinate for sigmas to polar coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in polar
@@ -1181,5 +1181,5 @@
         self.compute_button.SetLabel(label)
         self.compute_button.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                          StatusEvent(status=msg, type=type))
@@ -1196,5 +1196,5 @@
         On source combobox selection
         """
-        if event != None:
+        if event is not None:
             combo = event.GetEventObject()
             event.Skip()
@@ -1215,5 +1215,5 @@
         On source color combobox selection
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1253,5 +1253,5 @@
         On spectrum ComboBox event
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1261,5 +1261,5 @@
         if selection == 'Add new':
             path = self._selectDlg()
-            if path == None:
+            if path is None:
                 self.spectrum_cb.SetValue('Flat')
                 self.resolution.set_spectrum(self.spectrum_dic['Flat'])
@@ -1301,5 +1301,5 @@
         """
         try:
-            if path == None:
+            if path is None:
                 wx.PostEvent(self.parent.parent, StatusEvent(status=\
                             " Selected Distribution was not loaded: %s" % path))
@@ -1348,5 +1348,5 @@
         """
         _pylab_helpers.Gcf.figs = {}
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_res_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/sld_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision fe09e9bb0ad6caa9284d13a5c7dfdfc420d0c28b)
+++ src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision fe09e9bb0ad6caa9284d13a5c7dfdfc420d0c28b)
@@ -550,5 +550,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.sld_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision d0248bd59e16e863c884f4be9af0a03b2a86b6e2)
+++ src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -157,5 +157,5 @@
         path = None
         filename = ''
-        if location == None:
+        if location is None:
             location = os.getcwd()
 
@@ -303,5 +303,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_slit_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 1dc8ec9bbfd72210acd49400626adfb8eb6c3c87)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -320,5 +320,5 @@
         path = None
         default_save_location = os.getcwd()
-        if self._manager.parent != None:
+        if self._manager.parent is not None:
             default_save_location = self._manager.parent.get_save_location()
 
@@ -329,5 +329,5 @@
             path = dlg.GetPath()
             default_save_location = os.path.dirname(path)
-            if self._manager.parent != None:
+            if self._manager.parent is not None:
                 self._manager.parent._default_save_location = default_save_location
         else:
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -293,5 +293,5 @@
                 corstate = self._parse_state(entry)
 
-                if corstate != None:
+                if corstate is not None:
                     sas_entry.meta_data['corstate'] = corstate
                     sas_entry.filename = corstate.file
@@ -327,5 +327,5 @@
         if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
-        if datainfo.run_name == None or datainfo.run_name == '':
+        if datainfo.run_name is None or datainfo.run_name == '':
             datainfo.run = [str(datainfo.name)]
             datainfo.run_name[0] = datainfo.name
Index: src/sas/sasgui/perspectives/fitting/batchfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision ee4b3cbc1850f87671526c54335834959ffdfe84)
+++ src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -200,8 +200,8 @@
 #         self.state.formfactorcombobox = self.formfactorbox.GetCurrentSelection()
 #       
-#         if self.model != None:
+#         if self.model is not None:
 #             self._set_copy_flag(True)
 #             self._set_paste_flag(True)
-#             if self.data != None:
+#             if self.data is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
@@ -225,5 +225,5 @@
 # 
 #             
-#         if event != None:
+#         if event is not None:
 #             ## post state to fit panel
 #             new_event = PageInfoEvent(page = self)
@@ -254,5 +254,5 @@
 #         is_modified = False
 # 
-#         if self.model != None:           
+#         if self.model is not None:
 #             ##Check the values
 #             self._check_value_enter( self.fittable_param)
@@ -291,5 +291,5 @@
 #         else:
 #             #self.btFit.Enable(True)
-#             if self._is_2D() and  self.data != None:
+#             if self._is_2D() and  self.data is not None:
 #                 self.btEditMask.Enable(True)
 # 
@@ -335,5 +335,5 @@
 #             self._set_save_flag(False)
 #         else:
-#             if self.model != None:
+#             if self.model is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -302,5 +302,5 @@
         Make new model
         """
-        if self.new_model_frame != None:
+        if self.new_model_frame is not None:
             self.new_model_frame.Show(False)
             self.new_model_frame.Show(True)
@@ -386,5 +386,5 @@
         help for setting list of the edit model menu labels
         """
-        if menu == None:
+        if menu is None:
             menu = self.edit_custom_model
         list_fnames = os.listdir(models.find_plugins_dir())
@@ -441,5 +441,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
-        if page != None:
+        if page is not None:
             return set_focus_page(page)
         if caption == "Const & Simul Fit":
@@ -634,5 +634,5 @@
             state = self.temp_state[self.state_index]
             #panel state should have model selection to set_state
-            if state.formfactorcombobox != None:
+            if state.formfactorcombobox is not None:
                 #set state
                 data = self.parent.create_gui_data(state.data)
@@ -1016,5 +1016,5 @@
                 return False
         ## If a thread is already started, stop it
-        #if self.calc_fit!= None and self.calc_fit.isrunning():
+        #if self.calc_fitis not None and self.calc_fit.isrunning():
         #    self.calc_fit.stop()
         msg = "Fitting is in progress..."
@@ -1106,5 +1106,5 @@
             page = self.fit_panel.add_empty_page()
             # add data associated to the page created
-            if page != None:
+            if page is not None:
                 evt = StatusEvent(status="Page Created", info="info")
                 wx.PostEvent(self.parent, evt)
@@ -1125,5 +1125,5 @@
         page = self.fit_panel.set_data(data)
         # page could be None when loading state files
-        if page == None:
+        if page is None:
             return page
         #append Data1D to the panel containing its theory
@@ -1193,5 +1193,5 @@
         """
         # case that uid is not specified
-        if uid == None:
+        if uid is None:
             for page_id in self.page_finder.keys():
                 self.page_finder[page_id].schedule_tofit(value)
@@ -1216,5 +1216,5 @@
             for item in param:
                 ## check if constraint
-                if item[0] != None and item[1] != None:
+                if item[0] is not None and item[1] is not None:
                     listOfConstraint.append((item[0], item[1]))
         new_model = model
@@ -1231,5 +1231,5 @@
         """
         panel = self.plot_panel
-        if panel == None:
+        if panel is None:
             raise ValueError, "Fitting:_onSelect: NonType panel"
         Plugin.on_perspective(self, event=event)
@@ -1335,5 +1335,5 @@
                 if not correct_result or res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or not \
+                        np.any(res.pvec is None) or not \
                         np.all(np.isfinite(res.pvec)):
                     data_name = str(None)
@@ -1457,5 +1457,5 @@
         cell.value = index
 
-        if theory_data != None:
+        if theory_data is not None:
             #Suucessful fit
             theory_data.id = wx.NewId()
@@ -1526,5 +1526,5 @@
                 if res.fitness is None or \
                     not np.isfinite(res.fitness) or \
-                        np.any(res.pvec == None) or \
+                        np.any(res.pvec is None) or \
                     not np.all(np.isfinite(res.pvec)):
                     fit_msg += "\nFitting did not converge!!!"
@@ -1544,5 +1544,5 @@
                     #(CallAfter is important to MAC)
                     try:
-                        #if res != None:
+                        #if res is not None:
                         wx.CallAfter(cpage.onsetValues, res.fitness,
                                      res.param_list,
@@ -1587,5 +1587,5 @@
         """
         event.Skip()
-        if self.menu1 == None:
+        if self.menu1 is None:
             return
         menu_item = self.menu1.FindItemById(self.id_reset_flag)
@@ -1646,5 +1646,5 @@
         caption = evt.caption
         enable_smearer = evt.enable_smearer
-        if model == None:
+        if model is None:
             return
         if uid not in self.page_finder.keys():
@@ -1698,5 +1698,5 @@
         new_plot.title = data.name
         new_plot.group_id = data.group_id
-        if new_plot.group_id == None:
+        if new_plot.group_id is None:
             new_plot.group_id = data.group_id
         new_plot.id = data_id
@@ -2002,13 +2002,13 @@
         chisqr = None
         #to compute chisq make sure data has valid data
-        # return None if data == None
-        if not check_data_validity(data_copy) or data_copy == None:
+        # return None if data is None
+        if not check_data_validity(data_copy) or data_copy is None:
             return chisqr
 
         # Get data: data I, theory I, and data dI in order
         if data_copy.__class__.__name__ == "Data2D":
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.err_data = weight
             # get rid of zero error points
@@ -2017,5 +2017,5 @@
             fn = data_copy.data[index]
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.data[index]
@@ -2023,9 +2023,9 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if index == None:
+            if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.dy = weight
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
@@ -2037,5 +2037,5 @@
 
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
-            if theory_data == None:
+            if theory_data is None:
                 return chisqr
             gn = theory_data.y
@@ -2080,5 +2080,5 @@
             theory_data = self.page_finder[page_id].get_theory_data(fid=data_copy.id)
             gn = theory_data.data
-            if weight == None:
+            if weight is None:
                 en = data_copy.err_data
             else:
@@ -2101,8 +2101,8 @@
         else:
             # 1 d theory from model_thread is only in the range of index
-            if data_copy.dy == None or data_copy.dy == []:
+            if data_copy.dy is None or data_copy.dy == []:
                 dy = np.ones(len(data_copy.y))
             else:
-                if weight == None:
+                if weight is None:
                     dy = np.ones(len(data_copy.y))
                 ## Set consitently w/AbstractFitengine:
@@ -2142,5 +2142,5 @@
         ##group_id specify on which panel to plot this data
         group_id = self.page_finder[page_id].get_graph_id()
-        if group_id == None:
+        if group_id is None:
             group_id = data.group_id
         new_plot.group_id = "res" + str(group_id)
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 9a5097cd1c76689d1f997b85ba43d12a95d8f243)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -53,8 +53,8 @@
         self.starttime = time.time()
         # Determine appropriate q range
-        if self.qmin == None:
+        if self.qmin is None:
             self.qmin = 0
-        if self.qmax == None:
-            if self.data != None:
+        if self.qmax is None:
+            if self.data is not None:
                 newx = math.pow(max(math.fabs(self.data.xmax),
                                    math.fabs(self.data.xmin)), 2)
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -39,5 +39,5 @@
         self.nimages = len(self.report_list[2])
 
-        if self.report_list[2] != None:
+        if self.report_list[2] is not None:
             # put image path in the report string
             if len(self.report_list[2]) == 1:
Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -331,5 +331,5 @@
         new_plot.title = self.__data.title
         # Save theory_data in a state
-        if data != None:
+        if data is not None:
             name_head = name.split('-')
             if name_head[0] == 'Low':
@@ -353,5 +353,5 @@
 
         # Save data in a state: but seems to never happen
-        if new_plot != None:
+        if new_plot is not None:
             self.invariant_panel.state.data = copy.deepcopy(new_plot)
         wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -240,7 +240,7 @@
         """
 
-        if state == None and data == None:
+        if state is None and data is None:
             self.state = IState()
-        elif state == None or data == None:
+        elif state is None or data is None:
             return
         else:
@@ -604,10 +604,10 @@
         compute invariant
         """
-        if self._data == None:
+        if self._data is None:
             msg = "\n\nData must be loaded first in order"
             msg += " to perform a compution..."
             wx.PostEvent(self.parent, StatusEvent(status=msg))
         # set a state for this computation for saving
-        elif event != None:
+        elif event is not None:
             self._set_compute_state(state='compute')
             self._set_bookmark_flag(True)
@@ -718,5 +718,5 @@
         self._set_preview_flag(True)
 
-        if event != None:
+        if event is not None:
             self._set_preview_flag(True)
             self._set_save_flag(True)
@@ -792,5 +792,5 @@
         : param state_num: the given state number
         """
-        if state_num == None:
+        if state_num is None:
             return
 
@@ -924,5 +924,5 @@
         :param event: rb/cb event
         """
-        if event == None:
+        if event is None:
             return
         obj = event.GetEventObject()
@@ -934,5 +934,5 @@
 
         try:
-            if value == None or value.lstrip().rstrip() == '':
+            if value is None or value.lstrip().rstrip() == '':
                 value = 'None'
             setattr(self.state, name, str(value))
@@ -1013,5 +1013,5 @@
         Used in 'set_current_data()'
         """
-        #if data == None: return
+        #if data is None: return
         #temp_state = self.state.clone_state()
         #copy.deepcopy(self.state.saved_state)
@@ -1022,5 +1022,5 @@
         self.state.saved_state['state_num'] = 0
         self.state.saved_state['compute_num'] = 0
-        if self._data != None:
+        if self._data is not None:
             self.state.saved_state['file'] = str(self._data.name)
         else:
@@ -1049,5 +1049,5 @@
 
         """
-        if self._data == None:
+        if self._data is None:
             return
         # check if this event is from do/undo button
@@ -1072,5 +1072,5 @@
         # try to add new state of the text changes in the state_list
         try:
-            if value.strip() == None:
+            if value.strip() is None:
                 value = ''
             setattr(self.state, name, str(value))
@@ -1140,7 +1140,7 @@
         the popup menu on bookmark context menu event
         """
-        if self._data == None:
+        if self._data is None:
             return
-        if event == None:
+        if event is None:
             return
         self.bookmark_num += 1
@@ -1206,5 +1206,5 @@
         : event: popUpMenu event
         """
-        if event == None:
+        if event is None:
             return
         # get the object
@@ -1244,7 +1244,7 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent.get_save_location()
-        if self._default_save_location == None:
+        if self._default_save_location is None:
             self._default_save_location = os.getcwd()
         dlg = wx.FileDialog(self, "Choose a file",
@@ -1254,5 +1254,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = \
                     self._default_save_location
@@ -1393,5 +1393,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1411,5 +1411,5 @@
         Disable or enable some button if the user enable low q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1438,5 +1438,5 @@
         Enable editing power law section at low q range
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1537,5 +1537,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
 
@@ -1554,5 +1554,5 @@
         Disable or enable some button if the user enable high q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 463e7ffce130ae386f93cd18b87a1120743e88b5)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -281,5 +281,5 @@
         # File name
         element = newdoc.createElement("filename")
-        if self.file != None and self.file != '':
+        if self.file is not None and self.file != '':
             element.appendChild(newdoc.createTextNode(str(self.file)))
         else:
@@ -734,5 +734,5 @@
                     # invstate could be None when .svs file is loaded
                     # in this case, skip appending to output
-                    if invstate != None:
+                    if invstate is not None:
                         sas_entry.meta_data['invstate'] = invstate
                         sas_entry.filename = invstate.file
@@ -787,7 +787,7 @@
             raise RuntimeError, msg
         # make sure title and data run is filled up.
-        if datainfo.title == None or datainfo.title == '':
+        if datainfo.title is None or datainfo.title == '':
             datainfo.title = datainfo.name
-        if datainfo.run_name == None or datainfo.run_name == {}:
+        if datainfo.run_name is None or datainfo.run_name == {}:
             datainfo.run = [str(datainfo.name)]
             datainfo.run_name[0] = datainfo.name
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision c1d5aeab1ee75d2bf50cd73195f34c011918657d)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -271,5 +271,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file",
@@ -279,5 +279,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = self._default_save_location
         else:
@@ -920,5 +920,5 @@
         if flag:
             dataset = self.plot_data.GetValue()
-            if dataset == None or len(dataset.strip()) == 0:
+            if dataset is None or len(dataset.strip()) == 0:
                 message = "No data to invert. Select a data set before"
                 message += " proceeding with P(r) inversion."
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -473,5 +473,5 @@
                     #prstate could be None when .svs file is loaded
                     #in this case, skip appending to output
-                    if prstate != None:
+                    if prstate is not None:
                         sas_entry.meta_data['prstate'] = prstate
                         sas_entry.filename = prstate.file
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -291,5 +291,5 @@
         """
         qtemp = pr.x
-        if not q == None:
+        if q is not None:
             qtemp = q
 
@@ -303,7 +303,7 @@
 
         # Check for user min/max
-        if not pr.q_min == None:
+        if pr.q_min is not None:
             minq = pr.q_min
-        if not pr.q_max == None:
+        if pr.q_max is not None:
             maxq = pr.q_max
 
@@ -393,5 +393,5 @@
 
         for i in range(len(x)):
-            if cov2 == None:
+            if cov2 is None:
                 value = pr.pr(out, x[i])
             else:
@@ -412,5 +412,5 @@
             dy = dy / pmax
 
-        if cov2 == None:
+        if cov2 is None:
             new_plot = Data1D(x, y)
             new_plot.symbol = GUIFRAME_ID.CURVE_SYMBOL_NUM
@@ -487,5 +487,5 @@
         scale = None
         min_err = 0.0
-        if not path == None:
+        if path is not None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -499,5 +499,5 @@
                         err = float(toks[2])
                     else:
-                        if scale == None:
+                        if scale is None:
                             scale = 0.05 * math.sqrt(y)
                             #scale = 0.05/math.sqrt(y)
@@ -512,5 +512,5 @@
                     logger.error(sys.exc_value)
 
-        if not scale == None:
+        if scale is not None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -537,5 +537,5 @@
 
         data_started = False
-        if not path == None:
+        if path is not None:
             input_f = open(path, 'r')
             buff = input_f.read()
@@ -550,5 +550,5 @@
                             err = float(toks[2])
                         else:
-                            if scale == None:
+                            if scale is None:
                                 scale = 0.05 * math.sqrt(y)
                                 #scale = 0.05/math.sqrt(y)
@@ -565,5 +565,5 @@
                     data_started = True
 
-        if not scale == None:
+        if scale is not None:
             message = "The loaded file had no error bars, statistical errors are assumed."
             wx.PostEvent(self.parent, StatusEvent(status=message))
@@ -721,5 +721,5 @@
 
         # If a thread is already started, stop it
-        if self.calc_thread != None and self.calc_thread.isrunning():
+        if self.calc_thread is not None and self.calc_thread.isrunning():
             self.calc_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
@@ -761,5 +761,5 @@
         self.elapsed = elapsed
         self.control_panel.alpha_estimate = alpha
-        if not message == None:
+        if message is not None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
         self.perform_estimateNT()
@@ -779,5 +779,5 @@
         self.control_panel.nterms_estimate = nterms
         self.control_panel.alpha_estimate = alpha
-        if not message == None:
+        if message is not None:
             wx.PostEvent(self.parent, StatusEvent(status=str(message)))
 
@@ -858,5 +858,5 @@
 
         # Make a plot of I(q) data
-        if self.pr.err == None:
+        if self.pr.err is None:
             new_plot = Data1D(self.pr.x, self.pr.y)
             new_plot.symbol = GUIFRAME_ID.CURVE_SYMBOL_NUM
@@ -921,5 +921,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr == None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_inversion()
@@ -944,5 +944,5 @@
         try:
             pr = self._create_plot_pr()
-            if not pr == None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_estimate()
@@ -983,5 +983,5 @@
         err = self.current_plottable.dy
         all_zeros = True
-        if err == None:
+        if err is None:
             err = np.zeros(len(pr.y))
         else:
@@ -995,5 +995,5 @@
             for i in range(len(pr.y)):
                 # Scale the error so that we can fit over several decades of Q
-                if scale == None:
+                if scale is None:
                     scale = 0.05 * math.sqrt(pr.y[i])
                     min_err = 0.01 * pr.y[i]
@@ -1024,5 +1024,5 @@
         try:
             pr = self._create_file_pr(data)
-            if not pr == None:
+            if pr is not None:
                 self.pr = pr
                 self.perform_inversion()
@@ -1090,5 +1090,5 @@
         # If we have not errors, add statistical errors
         if y is not None:
-            if err == None or np.all(err) == 0:
+            if err is None or np.all(err) == 0:
                 err = np.zeros(len(y))
                 scale = None
@@ -1096,5 +1096,5 @@
                 for i in range(len(y)):
                     # Scale the error so that we can fit over several decades of Q
-                    if scale == None:
+                    if scale is None:
                         scale = 0.05 * math.sqrt(y[i])
                         min_err = 0.01 * y[i]
@@ -1129,5 +1129,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and \
+        if self.estimation_thread is not None and \
             self.estimation_thread.isrunning():
             self.estimation_thread.stop()
@@ -1159,5 +1159,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and self.estimation_thread.isrunning():
+        if self.estimation_thread is not None and self.estimation_thread.isrunning():
             self.estimation_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
Index: src/sas/sasgui/perspectives/pr/pr_thread.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr_thread.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/pr_thread.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -42,5 +42,5 @@
             pass
         except:
-            if not self.error_func == None:
+            if self.error_func is not None:
                 self.error_func("CalcPr.compute: %s" % sys.exc_value)
 
@@ -70,5 +70,5 @@
             pass
         except:
-            if not self.error_func == None:
+            if self.error_func is not None:
                 self.error_func("EstimatePr.compute: %s" % sys.exc_value)
 
@@ -110,4 +110,4 @@
             pass
         except:
-            if not self.error_func == None:
+            if self.error_func is not None:
                 self.error_func("EstimatePr2.compute: %s" % sys.exc_value)
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -213,5 +213,5 @@
         
         # If a computation thread is running, stop it
-        if self.calc_thread_1D != None and self.calc_thread_1D.isrunning():
+        if self.calc_thread_1D is not None and self.calc_thread_1D.isrunning():
             self.calc_thread_1D.stop()
             ## stop just raises the flag -- the thread is supposed to 
